#include <iostream>
#include <ctime>
using namespace std;

class timer {
	clock_t start;
public:
	timer();
	~timer();
};

timer::timer()
{
	start = clock();
}

timer::~timer()
{
	clock_t end;
	end = clock();
	double t = (end - start) / CLOCKS_PER_SEC;
	cout << "経過時間: " << t << "\n";
}

int main()
{
	timer obj;
	char c;
	
	//遅延...
	cout << "最後が[ENTER]になるようにキーを入力: ";
	cin >> c;
	
	return 0;
}